%define upstream_name    Dist-Zilla-LocaleTextDomain
%define upstream_version 0.91

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Tools for managing Locale::TextDomain language catalogs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Tester::CaptureExternal)
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::File::FromCode)
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Email::Address)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Locale::Country)
BuildRequires: perl(Locale::Language)
BuildRequires: perl(Module::Build) >= 0.350.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types::Path::Tiny)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::File)
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.910.0-5.mga9
+ Revision: 1811449
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.910.0-4.mga8
+ Revision: 1523748
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 0.910.0-3.mga7
+ Revision: 1374710
- fix summary

* Thu Sep 20 2018 umeabot <umeabot> 0.910.0-2.mga7
+ Revision: 1282976
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 shlomif <shlomif> 0.910.0-1.mga7
+ Revision: 1182009
- update to 0.91

* Sun Jun 19 2016 pterjan <pterjan> 0.900.0-4.mga6
+ Revision: 1025813
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.900.0-3.mga6
+ Revision: 970328
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.900.0-2.mga6
+ Revision: 885913
- Fix BRs

* Tue Jun 23 2015 sander85 <sander85> 0.900.0-1.mga6
+ Revision: 840023
- update to 0.90

* Thu Oct 16 2014 umeabot <umeabot> 0.870.0-3.mga5
+ Revision: 768807
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.870.0-1.mga5
+ Revision: 586054
- update to 0.87

* Sat Oct 19 2013 umeabot <umeabot> 0.860.0-2.mga4
+ Revision: 527637
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.860.0-1.mga4
+ Revision: 441559
- update to 0.86

* Sun Jan 13 2013 umeabot <umeabot> 0.830.0-2.mga3
+ Revision: 366033
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.830.0-1.mga3
+ Revision: 342082
- update to 0.83

* Wed Oct 03 2012 jquelin <jquelin> 0.810.0-1.mga3
+ Revision: 302364
- imported package perl-Dist-Zilla-LocaleTextDomain


* Wed Oct 03 2012 cpan2dist 0.81-1mga
- initial mageia release, generated with cpan2dist
